Question about Computers & Internet

1 Answer

Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution). whats gone wrong,i can't install or update as this message appears

Posted by on

  • 1 more comment 
  • taz202u Jul 25, 2009

    i tried that n this happened

    E:could not open lock file /var/lib/dpkg/lock - open (13 permission denied)
    E: unable to lock the administration direcctory ( var/lib/dpkg/)are you root?

    I'm new to linux so this is all gibberish to me

  • taz202u Jul 25, 2009

    thank you :-) that worked!! I was updating the add/remove software updates
    I'm using a Eeepc 900 linux Debain?! software version 1.1.0.66
    I've looked everywhere for a instruction manual for this but can't find one anywhere so don't think i have a hope in hell of learning this operating system

  • taz202u Jul 25, 2009

    thank you so much for your help..i've now been able to install amsn but when configuring the web cam error comes up, looked on net and found many with the problem but no solution
    error is.
    checking if audio xtention (snack) is loaded x
    you wont be able to reord yourself or speak with your friends. you may find answers on how to install this etention on our wiki
    www.amsn-project.net/wiki/

    but can't find a thing...any ideas?

×

Ad

1 Answer

  • Level 2:

    An expert who has achieved level 2 by getting 100 points

    Hot-Shot:

    An expert who has answered 20 questions.

    Corporal:

    An expert that hasĀ over 10 points.

    Mayor:

    An expert whose answer gotĀ voted for 2 times.

  • Expert
  • 69 Answers

This is a linux error typical on the ASUS eeepc. Confirm that you internet is working first.
Generally, unmet dependency errors are cause by running a system based on unstable depositories (Debian / Ubuntu) which is changing all the time, or badly managed depositories.

You need to press CTRL-ALT + T to get to the terminal and type apt-get -f install.

keeep me posted

Posted on Jul 24, 2009

  • 1 more comment 
  • Fernando Torres
    Fernando Torres Jul 25, 2009

    it looks like there is an update or installation already running.. close everything and then retry.

    at terminal type: sudo apt-get -f install

    reboot the machine.. what version of linux are you running?
    and what updates were you performing when the error happened?

    keep me posted



  • Fernando Torres
    Fernando Torres Jul 25, 2009

    many thanks for you feedback.. Love them EEEPcs.. especially when they go wrong! LoL

  • Fernando Torres
    Fernando Torres Jul 25, 2009

    just confirm web cam is working in msn.. but not audio?
    also if we don't use amsn but say skype or its own asus im.. does webcam w/sound work?
    it look like amsn audio config error


×

Ad

1 Suggested Answer

6ya6ya
  • 2 Answers

SOURCE: I have freestanding Series 8 dishwasher. Lately during the filling cycle water hammer is occurring. How can this be resolved

Hi,
a 6ya expert can help you resolve that issue over the phone in a minute or two.
Best thing about this new service is that you are never placed on hold and get to talk to real repairmen in the US.
the service is completely free and covers almost anything you can think of.(from cars to computers, handyman, and even drones)
click here to download the app (for users in the US for now) and get all the help you need.
Goodluck!

Posted on Jan 02, 2017

Ad

Add Your Answer

Uploading: 0%

my-video-file.mp4

Complete. Click "Add" to insert your video. Add

×

Loading...
Loading...

Related Questions:

1 Answer

Installation of sqldeveloper on ubuntu 12.4


First, make sure you have JDK 7 installed. Then,
  1. Install alien with the command sudo apt-get install alien. This is used to convert RPM packages
  2. Download the Oracle SQL Developer package if you have not done so already.
  3. Run alien on the RPM package: alien -d package.rpm.
  4. Install the package with the command sudo dpkg -i package.deb. If there is a message saying there is a dependency problem while installing it, you can fix it by running sudo apt-get -f install.

Feb 25, 2014 | Canonical Ltd. Ubuntu

1 Answer

When i try to open update manager it shows this: E: Encountered a section with no package: header E: Problem with mergelist/var/lib/apt/lists u s. archive.ubuntu.com_ubuntu_natty_main_binary_i386...


# First delete all of the previously available listingssudo rm /var/lib/apt/lists/* -vf
# And then use apt-get to rebuild your package listingssudo apt-get updateThis will resolve your issue quickly. Worked for me

Oct 13, 2011 | Canonical Ltd. Ubuntu

1 Answer

A rectangle with a star has appeared saying i need to configure some thing


Its hard to tell because each version of Linux has its on special files that it can download. Look in all of your applications and see if you find a program called Synaptic Package. All you have to do is click on it and it goes to the repository and will update all of the packages and its dependent packages automatically. Not all versions have Synaptic, some just say Software manager, but its the same thing. So if you loaded Skype off of the Internet then you probably don't have all the files as Linux does not work like Windows. You can look for the Terminal window to open and type sudo apt-get install Skype see if that works, but again, if the program did not come from the specific repository then it may not update. If you want to remove it then you can either find it in your file manager program (again in applications) and delete it. Or you can try sudo apt-get remove Skype. Third option is to right-click on it and see what options you get if one says cut or delete then you know what to do. The sudo options will ask you for a password which you should have, its the root password. Last solution is to reload and start over, I've done that more than once :).

May 28, 2011 | Acer Aspire One PC Notebook

1 Answer

Sir, Please tell me How to install vlc player in redhat 5.0 linux. Thanks


How about:

Download the vlc-0.9.9a-7.el5.rf.i386.rpm RPM from http://apt.sw.be/redhat/el5/en/i386/dag/RPMS/

And then install it via the command:
yum localinstall vlc-0.9.9a-7.el5.rf.i386.rpm from the loaction you downloaded it to.

You may, also, need some other RPMs if there are unmet dependencies with your installed sofware.

Dec 31, 2010 | Computers & Internet

1 Answer

APT Error. Context: Package download failed, Unable to correct problems, you have held broken packages. Kubuntu Unbutu 8.04 (?) KDE 4.X (?) Typical of Linux difficult to find out...


try
apt-get update

it will attempt to resynchronize the debs that you have.

apt-get upgrade

may help you sort out problems with the data sources (suppliers) of deb packages on your system.

apt-get clean

may help as well.

All documentation can be seen by opening up a terminal session and typing

man apt-get

Good luck, and hang in there.

Jan 31, 2010 | Computers & Internet

1 Answer

Hi! I am trying to install my 1st 3rd party software onto my Asus eee Xandros netbook cnr to be exact I get to the add part and go through it, at the very end of installation it says: The following...


What software are you installing, onto what OS?
Make sure you are attempting to install the latest version of the software available, and your system has applied latest updates.
See here.

I hope this information allows you to resolve this issue. If you need further assistance, please post back with a comment to this thread.
If I've managed to answer your question or solve a problem, please take just a moment to rate this post....thanks!

Aug 18, 2009 | ASUS Eee PC 900 Notebook

1 Answer

Ubuntu 8.04 Sound is Very Distorted HELP!!!


You need to add the following lines to /etc/apt/sources.list file or you need to make sure you have enabled Universe and multiverse repositories in /etc/apt/sources.list file
sudo gedit /etc/apt/sources.list
Make sure you have the following two lines save and exit your file
deb http://archive.ubuntu.com/ubuntu hardy universe multiverse
deb-src http://archive.ubuntu.com/ubuntu hardy universe multiverse
Now you need to run the following command to update the source list
sudo apt-get update
Install mplayer using the following command
sudo apt-get install mplayer
if you want to open mplayer just type
gmplayer
or
You can Open from Applications—>Sound&Video—> Mplayer Movie Player
Install libdvdcss2 and w32 video codecs in Ubuntu 8.04 (Hardy Heron)
Support for WMV, RealMedia and other formats has been bundled into the w32codecs package. This package is not available from the Ubuntu repositories due to licensing and legal restrictions.
For Ubuntu 8.04 (Hardy Heron) Users run the following command
sudo wget http://www.medibuntu.org/sources.list.d/hardy.list -O /etc/apt/sources.list.d/medibuntu.list
Then, add the GPG Key using the following commands
sudo apt-get update
sudo apt-get install medibuntu-keyring
sudo apt-get update
For i386 Users install Codecs using the following command
sudo apt-get install w32codecs libdvdcss2
For amd64 Users install Codecs using the following command
sudo apt-get install w64codecs libdvdcss2
Using above download locations you can install most of the mutimedia codecs for ubuntu.
Mplayer Plugin for Firefox
If you want to install Mplayer with plug-in for Mozilla Firefox run the following command
sudo apt-get install mozilla-mplayer

Apr 21, 2009 | Canonical Ltd. Ubuntu

3 Answers

I m not able to update my packages can any one help me out E: system-tools-backends: subprocess post-installation script returned error exit status 1


You may be able to get a more useful error message by updating your pacakges from the command line with:

sudo apt-get update

and seeing what errors you get.

Mar 26, 2009 | ValuSoft Ubuntu Linux for PC, Mac, Linux

1 Answer

Asus eepc 8mb email errors


About your email, what is your current browser?
If you are not using Firefox, you should get Firefox for Linux. that may work.
Direct Link
http://www.mozilla.com/products/download.html?product=firefox-3.0.3&os=linux&lang=en-US
All Languages and versions
http://www.mozilla.com/en-US/firefox/all.html

Oct 08, 2008 | ASUS A6U Notebook

Not finding what you are looking for?
Computers & Internet Logo

Related Topics:

948 people viewed this question

Ask a Question

Usually answered in minutes!

Top Computers & Internet Experts

Doctor PC
Doctor PC

Level 3 Expert

7733 Answers

kakima

Level 3 Expert

102366 Answers

David Payne
David Payne

Level 3 Expert

14161 Answers

Are you a Computer and Internet Expert? Answer questions, earn points and help others

Answer questions

Manuals & User Guides

Loading...